/*
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o File        o Macro.h                                           
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Author      o EM Microelectronic-Marin SA
o Company     o EM Microelectronic-Marin SA                                                                            
o Project     o skeleton EM6812                                      
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo                                                                                                                                                                      
o Comments    o Some Macros - dependencie file
o             o
o             o                                     
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o Version     o 1.0
o Date        o 10.11.04
o Change      o Initial                                          
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
*/

// Definitions section
#ifndef __MACRO__
#define __MACRO__

// Include section
#include "Types.h"

// Macros
/* Some assembler instruction */
#define		Halt		asm ("halt")
#define		Nop			asm ("nop")
#define		DisINT	asm ("clrb    %stat,#5")
#define		EnaINT	asm ("setb    %stat,#5")
#define   DisWdog() {asm("move RegWDSys,#0x47");\
asm ("move RegWDKey,#0x96");\
asm ("move RegWDSys,#0x07");}
     
/* Set a (some) bit(s) in a byte */
/* SetBit (Reg,BIT0); or SetBit(Reg, Msk);*/
#define		SetBit(byte1,byte2)	  byte1 |= byte2
/* Toggle a (some) bits in a byte */
/* ToggleBit(Reg,BIT0); or ToggleBit(Reg,Msk);*/
#define		ToggleBit(byte1,byte2)	  byte1 ^= byte2
/* clr a (some) bit(s) in a byte (regard less of it's state) */
/* ClrBit(Reg,BIT0); or ClrBit(Reg,Msk); */
#define	  ClrBit(byte1, byte2) reg &= ~value
/* Test a bit in a byte */
/* TestBit(Reg,BIT0); */
#define TestBit(reg, mask_bit) (reg & mask_bit) ? 1 : 0
/* Set a register with a byte value */
#define   SetReg(byte1,byte2)      byte1 = byte2
/* Clear a register */
#define		ClrReg(byte)			byte = ZERO
/* Fill in a register */
#define		FillReg(byte)			byte = FULL
/* Update a register with a mask */
/* RegUpdate (reg, mask, value) */
/* reg = 0xD3, mask = 0x81, value = 0xFE -> reg = 0xD2 */ 
#define UpdateReg(reg, mask, value) reg = (reg & ~mask) | (value & mask)

/* Macro for indexed writing */
/* WritePeriph(18,40,1); // value=18, offset=40, high=1 */
#define   WritePeriph(val,offset,high)  {asm ("move  -(%i3),%i1h");\
asm ("move  -(%i3),%i1l");\
asm ("move  %i1h,#"#high"");\
asm ("move  %i1l,#0");\
asm ("move  %a,#"#val"");\
asm ("move  (%i1,"#offset "),%a");\
asm ("move  %i1l,(%i3)+");\
asm ("move  %i1h,(%i3)+");}

/* Comparison */
#define MIN(a,b)		((a)<(b)?(a):(b))
#define MAX(a,b)		((a)>(b)?(a):(b))
#define MINMAX(a,b,c)	(MAX(a,MIN(b,c)))	// a <= b <= c
#define SIGN(a)			(((a) < 0) ? (-1) : 1)

#endif /* __MACRO__ */

