;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
; File        o crt0.s                                           
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Author      o EM Microelectronic-Marin SA
; Company     o EM Microelectronic-Marin SA                                                                            
; Project     o skeleton EM6812                                      
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo                                                                                                                                                                      
; Comments    o startup module
;             o
;             o                                     
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
; Version     o 1.0
; Date        o 10.11.04
; Change      o Initial                                          
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
 
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; General definitions 
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
.include    "definition.s" 
.altregsyn  0 
.global     _start
.global     main
.global   __spill
;.global     DataInit
.text
.org        0
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo  

;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Reset & interrupt vectors
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
_start:
  jump    main_init ; reset
  jump  __int1_h  ; interrupt 1 handler 
  jump  __int2_h  ; interrupt 2 handler (lowest priority)
  jump  __int0_h  ; interrupt 0 handler (highest priority)
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo

main_init:
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Main program initialization
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Initialize the stack pointer
  move  i3h,#HIWORD(_estack)
  move  i3l,#LOWORD(_estack) 

; Initialize the variables in section page0_bss
crt0_init_page0_bss:
  move  i1h, #HIWORD(_spage0bss)
  move  i1l, #LOWORD(_spage0bss)
  move  i2h, #HIWORD(_epage0bss)
  move  i2l, #LOWORD(_epage0bss)
  jump  crt0_init_page0_bss_cmp 
crt0_init_page0_bss_loop:
  move  (i1)+,r0
crt0_init_page0_bss_cmp:
  cmp     i1h,i2h
  jlt crt0_init_page0_bss_loop
  cmp i1l,i2l
  jlt crt0_init_page0_bss_loop

; Initialize the variables in section  bss
crt0_init_bss:
  move    i1h,#HIWORD(_sbss)
  move  i1l,#LOWORD(_sbss)
  move  i2h,#HIWORD(_ebss)
  move  i2l,#LOWORD(_ebss)
  move  r0, #BIT0
  jump  crt0_init_bss_cmp
crt0_init_bss_loop:
  move  (i1)+,r0
crt0_init_bss_cmp:
  cmp     i1h,i2h
  jlt     crt0_init_bss_loop
  cmp     i1l,i2l
  jlt     crt0_init_bss_loop
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo  
; End of main program initialization
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo

;-----------------------------------------------------------------------
; Calls Initialization function for constants
;-----------------------------------------------------------------------
;    calls DataInit



;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Main program
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Enable interrupts and call main 
  move  stat,#setstat ;enable IRQ0,1,2 & clear evts & ints
  calls main          ;call C routine  int main(void)
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo        
_cleanup:
_exit:
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Enter halt mode  
main_end:
  HALT                  ;end program execution
  move    stat,#setstat   ;enable IRQ0,1,2 & clear evts & ints
  jump    main_end      ;just in case..
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; End of main program
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo

;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; Spill allocation
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
 .section .page0_bss
  __spill:
    .space 8
    
.text
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo    
; Interrupt handlers
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
.set _Implement_Irq, 1
.ifdef _Implement_Irq
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo           
__int1_h:   ; Interrupts level 1
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  move    -(i3), a  ; backup registers
  sflag
  move    -(i3), a
  move    -(i3), ipl
  move    -(i3), iph
  move    -(i3), i0l
  move    -(i3), i0h
  move    -(i3), i1l
  move    -(i3), i1h
  move    -(i3), i2l
  move    -(i3), i2h
  move    -(i3), r0
  move    -(i3), r1
  move    -(i3), r2
  move    -(i3), r3
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  move    r0, RegInt10  ; read RegInt10 and clear it
  tstb  r0, #Int1_7 ; which IRQ level_1 has come?
  jzc Irq_PA7
  tstb  r0, #Int1_6
  jzc Irq_PA6
  tstb  r0, #Int1_5
  jzc Irq_PA5
  tstb  r0, #Int1_4     
  jzc Irq_PA4
  tstb  r0, #Int1_3     
  jzc Irq_PA3
  tstb  r0, #Int1_2     
  jzc Irq_PA2
  tstb  r0, #Int1_1     
  jzc Irq_PA1
  tstb  r0, #Int1_0     
  jzc Irq_PA0 
  jump    ret_int1
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo  
Irq_PA7:
  calls Handle_Irq_PA7
  jump    ret_int1
Irq_PA6:
  calls Handle_Irq_PA6
  jump    ret_int1
Irq_PA5:
  calls Handle_Irq_PA5
  jump    ret_int1
Irq_PA4:
  calls Handle_Irq_PA4
  jump    ret_int1
Irq_PA3:
  calls Handle_Irq_PA3
  jump    ret_int1
Irq_PA2:
  calls Handle_Irq_PA2
  jump    ret_int1
Irq_PA1:
  calls Handle_Irq_PA1
  jump    ret_int1
Irq_PA0:
  calls Handle_Irq_PA0
  jump  ret_int1
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
ret_int1: 
  clrb    stat, #BIT3   ; clears IN1
  jump  ret_int
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo  
__int2_h:   ; Interrupts level 2
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  move    -(i3), a    ; backup registers
  sflag
  move    -(i3), a
  move    -(i3), ipl
  move    -(i3), iph
  move    -(i3), i0l
  move    -(i3), i0h
  move    -(i3), i1l
  move    -(i3), i1h
  move    -(i3), i2l
  move    -(i3), i2h
  move    -(i3), r0
  move    -(i3), r1
  move    -(i3), r2
  move    -(i3), r3
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  move  r0, RegInt20    ; read RegInt20 and clear it
  tstb  r0, #Int2_7   ; wich IRQ level_2 has come?
  jzc Irq_DR      ; simple Dual-Ram IRQ identification
  tstb  r0, #Int2_6
  jzc Irq_DR
  tstb  r0, #Int2_5
  jzc Irq_SPI     ; simple SPI IRQ identification
  tstb  r0, #Int2_4           
  jzc Irq_SPI 
  tstb  r0, #Int2_3         
  jzc Irq_Tim4
  tstb  r0, #Int2_2     
  jzc Irq_Tim3
  tstb  r0, #Int2_1     
  jzc Irq_Tim2
  tstb  r0, #Int2_0     
  jzc Irq_Tim1
  jump  ret_int2
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
Irq_DR:
  calls Handle_Irq_DR
  jump    ret_int2
Irq_SPI:
  calls Handle_Irq_SPI
  jump    ret_int2
Irq_Tim4:
  calls Handle_Irq_Tim4
  jump    ret_int2
Irq_Tim3:
  calls Handle_Irq_Tim3
  jump  ret_int2
Irq_Tim2:
  calls Handle_Irq_Tim2
  jump  ret_int2
Irq_Tim1:
  calls Handle_Irq_Tim1
  jump  ret_int2
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo  
ret_int2: 
  clrb    stat, #BIT4   ; clears IN2
  jump  ret_int
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo  
__int0_h: ; Interrupts level 0
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  move    -(i3), a    ; backup registers
  sflag
  move    -(i3), a
  move    -(i3), ipl
  move    -(i3), iph
  move    -(i3), i0l
  move    -(i3), i0h
  move    -(i3), i1l
  move    -(i3), i1h
  move    -(i3), i2l
  move    -(i3), i2h
  move    -(i3), r0
  move    -(i3), r1
  move    -(i3), r2
  move    -(i3), r3
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  move    r0, RegInt00    ; read RegInt00 and clear it  
  tstb  r0, #Int0_3   ; which IRQ level_0 has come?
  jzc Irq_ClkPresc1_7
  tstb  r0, #Int0_2
  jzc Irq_ClkPresc1_5
  tstb  r0, #Int0_1
  jzc Irq_ClkPresc1_0
  tstb  r0, #Int0_0     
  jzc Irq_pm_miss_skip  
  jump    ret_int0
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
Irq_ClkPresc1_7:
  calls Handle_Irq_ClkPresc1_7
  jump  ret_int0
Irq_ClkPresc1_5:
  calls Handle_Irq_ClkPresc1_5
  jump  ret_int0
Irq_ClkPresc1_0:
  calls Handle_Irq_ClkPresc1_0
  jump  ret_int0
Irq_pm_miss_skip:
  calls Handle_Irq_pm_miss_skip
  jump  ret_int0   
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
  ret_int0 :
  clrb    stat, #BIT2   ; clears IN0
  jump  ret_int
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
ret_int:  
  move    r3, (i3)+   ; restores registers
  move    r2, (i3)+
  move    r1, (i3)+
  move    r0, (i3)+
  move    i2h, (i3)+
  move    i2l, (i3)+
  move    i1h, (i3)+
  move    i1l, (i3)+
  move    i0h, (i3)+
  move    i0l, (i3)+
  move    iph, (i3)+
  move    ipl, (i3)+
  rflag   (i3)+
  move    a, (i3)+
  reti              ; GIE is enabled
.else
__int1_h:   ; Interrupts level 1
  clrb    stat, #BIT3   ; clears IN1
  reti              ; GIE is enabled
__int2_h:   ; Interrupts level 2
  clrb    stat, #BIT4   ; clears IN2
  reti              ; GIE is enabled
__int0_h: ; Interrupts level 0
  clrb    stat, #BIT2   ; clears IN0
  reti              ; GIE is enabled
.endif ; _Implement_Irq
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
        
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
; End of interrupt handlers
;ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo        


