;**********************************************************************
;
; definition.s:   definitions for assembler files
;
; Modifications:
;
; 20-05-2003/Maup: If needed use copy/paste :-)
;
;**********************************************************************
  
; Definition for assembler :

; Bits
.equ	BIT7	,7
.equ	BIT6	,6
.equ	BIT5	,5
.equ	BIT4	,4
.equ	BIT3	,3
.equ	BIT2	,2
.equ	BIT1	,1
.equ	BIT0	,0

; Masks
.equ	MSK7	,0x80
.equ	MSK6	,0x40
.equ	MSK5	,0x20
.equ	MSK4	,0x10
.equ	MSK3	,0x08
.equ	MSK2	,0x04
.equ	MSK1	,0x02
.equ	MSK0	,0x01

; enable IRQ0,1 & 2, clear events & interrupts
.equ 	setstat ,0xE0

; RegSys1  : Adr. 0x10
	.equ	Sleep		        ,7
	.equ	DisResetPad	    ,6
	.equ	DisResInp	      ,5
	.equ	FlagXtal	      ,4
	.equ	OPTCldStart_1	  ,3
	.equ	OPTCldStart_0	  ,2
	.equ	FreqRange	      ,1
	.equ	EnRC	      	  ,0
; RegSys2  : Adr.11
	.equ	EnXtal		      ,7
	.equ	SelExtHFck	    ,6
	.equ	SelHFckSource	  ,5
	.equ	SelExtLFck	    ,4
	.equ	Sel32k		      ,2
	.equ	RCDiv_1		      ,1
	.equ	RCDiv_0		      ,0
; RegResStat  : Adr.12
	.equ	ResetPadFlag	  ,7
	.equ	ResetWDFlag	    ,6
	.equ	ResPAInpFlag	  ,5
	.equ	ResBwnOutFlag	  ,4
	.equ	SleepEn		      ,3
	.equ	EnDebResPad	  ,2
	.equ	CkDebResPad	    ,1
	.equ	DatOscout	      ,0
; RegTrimRC  : Adr.13
	.equ	Trim_7		      ,7
	.equ	Trim_6		      ,6
	.equ	Trim_5		      ,5
	.equ	Trim_4		      ,4
	.equ	Trim_3		      ,3
	.equ	Trim_2		      ,2
	.equ	Trim_1		      ,1
	.equ	Trim_0		      ,0
; RegPrCkSel  : Adr.14
	.equ	Pr1CkSel_2	    ,7
	.equ	Pr1CkSel_1	    ,6
	.equ	Pr1CkSel_0	    ,5
	.equ	AutoSel		      ,4
	.equ	Pr2CkSel	      ,3

; RegPr1Status  : Adr.15
  .equ  Pr1CkStatus_7   ,7
  .equ  Pr1CkStatus_6   ,6
  .equ  Pr1CkStatus_5   ,5
  .equ  Pr1CkStatus_4   ,4
  .equ  Pr1CkStatus_3   ,3
  .equ  Pr1CkStatus_2   ,2
  .equ  Pr1CkStatus_1   ,1
  .equ  Pr1CkStatus_0   ,0
; RegPr2Status  : Adr.16
  .equ  Pr2CkStatus_7   ,7
  .equ  Pr2CkStatus_6   ,6
  .equ  Pr2CkStatus_5   ,5
  .equ  Pr2CkStatus_4   ,4
  .equ  Pr2CkStatus_3   ,3
  .equ  Pr2CkStatus_2   ,2
  .equ  Pr2CkStatus_1   ,1
  .equ  Pr2CkStatus_0   ,0
; RegInt20  : Adr.17
	.equ	Int2_7		      ,7
	.equ	Int2_6		      ,6
	.equ	Int2_5		      ,5
	.equ	Int2_4		      ,4
	.equ	Int2_3		      ,3
	.equ	Int2_2		      ,2
	.equ	Int2_1		      ,1
	.equ	Int2_0		      ,0
; RegInt10  : Adr.18
	.equ	Int1_7		      ,7
	.equ	Int1_6		      ,6
	.equ	Int1_5		      ,5
	.equ	Int1_4		      ,4
	.equ	Int1_3		      ,3
	.equ	Int1_2		      ,2
	.equ	Int1_1		      ,1
	.equ	Int1_0		      ,0
; RegInt00  : Adr.19
	.equ	Int0_7		      ,7
	.equ	Int0_6		      ,6
	.equ	Int0_5		      ,5
	.equ	Int0_4		      ,4
	.equ	Int0_3		      ,3
	.equ	Int0_2		      ,2
	.equ	Int0_1		      ,1
	.equ	Int0_0		      ,0
; RegMsk20  : Adr.1A
	.equ	Msk2_7		      ,7
	.equ	Msk2_6		      ,6
	.equ	Msk2_5		      ,5
	.equ	Msk2_4		      ,4
	.equ	Msk2_3		      ,3
	.equ	Msk2_2		      ,2
	.equ	Msk2_1		      ,1
	.equ	Msk2_0		      ,0
; RegMsk10  : Adr.1B
	.equ	Msk1_7		      ,7
	.equ	Msk1_6		      ,6
	.equ	Msk1_5		      ,5
	.equ	Msk1_4		      ,4
	.equ	Msk1_3		      ,3
	.equ	Msk1_2		      ,2
	.equ	Msk1_1		      ,1
	.equ	Msk1_0		      ,0
; RegMsk00  : Adr.1C
	.equ	Msk0_7		      ,7
	.equ	Msk0_6		      ,6
	.equ	Msk0_5		      ,5
	.equ	Msk0_4		      ,4
	.equ	Msk0_3		      ,3
	.equ	Msk0_2		      ,2
	.equ	Msk0_1		      ,1
	.equ	Msk0_0		      ,0
; RegAnaCfg  : Adr.20
	.equ	En_SVLD		      ,7
	.equ	En_BrownOut	    ,6
	.equ	SvldLevel1	    ,5
	.equ	SvldLevel2	    ,4
	.equ	SvldLevel3	    ,3
	.equ	SVLDStatus	    ,0
; RegInPA  : Adr.21
	.equ	PAIn_7		      ,7
	.equ	PAIn_6		      ,6
	.equ	PAIn_5		      ,5
	.equ	PAIn_4		      ,4
	.equ	PAIn_3		      ,3
	.equ	PAIn_2		      ,2
	.equ	PAIn_1		      ,1
	.equ	PAIn_0		      ,0
; RegOutPA  : Adr.22
	.equ	OutPA_7		      ,7
	.equ	OutPA_6		      ,6
	.equ	OutPA_5		      ,5
	.equ	OutPA_4		      ,4
	.equ	OutPA_3		      ,3
	.equ	OutPA_2		      ,2
	.equ	OutPA_1		      ,1
	.equ	OutPA_0		      ,0
; RegCfgPA  : Adr.23
	.equ	Excl_nComb	    ,7
	.equ	Wk_nRes		      ,6
	.equ	SplitCmb	      ,5
	.equ	EnDebRes	      ,4
	.equ	CkDebRes	      ,3
	.equ	EnDebWk	        ,2
	.equ	CkDebWk	        ,1
	.equ	RCLoop		  ,0
; RegIOSelPA  : Adr.24
  .equ  IOSelPA_7       ,7
  .equ  IOSelPA_6       ,6
  .equ  IOSelPA_5       ,5
  .equ  IOSelPA_4       ,4
  .equ  IOSelPA_3       ,3
  .equ  IOSelPA_2       ,2
  .equ  IOSelPA_1       ,1
  .equ  IOSelPA_0       ,0
; RegCmbKey  : Adr.25
	.equ	CmbKey_7		    ,7
	.equ	CmbKey_6		    ,6
	.equ	CmbKey_5		    ,5
	.equ	CmbKey_4		    ,4
	.equ	CmbKey_3		    ,3
	.equ	CmbKey_2		    ,2
	.equ	CmbKey_1		    ,1
	.equ	CmbKey_0		    ,0
; RegMskRstWkUp  : Adr.26
	.equ	MskRstWkUp_7		,7
	.equ	MskRstWkUp_6		,6
	.equ	MskRstWkUp_5		,5
	.equ	MskRstWkUp_4		,4
	.equ	MskRstWkUp_3		,3
	.equ	MskRstWkUp_2		,2
	.equ	MskRstWkUp_1		,1
	.equ	MskRstWkUp_0		,0
; RegIntEdgPAPA  : Adr.27
	.equ	IntEdgPA_7	    ,7
	.equ	IntEdgPA_6	    ,6
	.equ	IntEdgPA_5	    ,5
	.equ	IntEdgPA_4	    ,4
	.equ	IntEdgPA_3	    ,3
	.equ	IntEdgPA_2	    ,2
	.equ	IntEdgPA_1	    ,1
	.equ	IntEdgPA_0	    ,0
; RegEnDebPA  : Adr.28
	.equ	EnDebPA_7		    ,7
	.equ	EnDebPA_6		    ,6
	.equ	EnDebPA_5		    ,5
	.equ	EnDebPA_4		    ,4
	.equ	EnDebPA_3		    ,3
	.equ	EnDebPA_2		    ,2
	.equ	EnDebPA_1		    ,1
	.equ	EnDebPA_0		    ,0
; RegOpenDrainPA  : Adr.29
  .equ  OpenDrainPA_7   ,7
  .equ  OpenDrainPA_6   ,6
  .equ  OpenDrainPA_5   ,5
  .equ  OpenDrainPA_4   ,4
  .equ  OpenDrainPA_3   ,3
  .equ  OpenDrainPA_2   ,2
  .equ  OpenDrainPA_1   ,1
  .equ  OpenDrainPA_0   ,0
; RegPullUpPA  : Adr.2A
  .equ  PullUpPA_7      ,7
  .equ  PullUpPA_6      ,6
  .equ  PullUpPA_5      ,5
  .equ  PullUpPA_4      ,4
  .equ  PullUpPA_3      ,3
  .equ  PullUpPA_2      ,2
  .equ  PullUpPA_1      ,1
  .equ  PullUpPA_0      ,0
; RegPullDownPA  : Adr.2B
  .equ  PullDownPA_7    ,7
  .equ  PullDownPA_6    ,6
  .equ  PullDownPA_5    ,5
  .equ  PullDownPA_4    ,4
  .equ  PullDownPA_3    ,3
  .equ  PullDownPA_2    ,2
  .equ  PullDownPA_1    ,1
  .equ  PullDownPA_0    ,0
; RegInPB  : Adr.30
	.equ	PBIn_7		      ,7
	.equ	PBIn_6		      ,6
	.equ	PBIn_5		      ,5
	.equ	PBIn_4		      ,4
	.equ	PBIn_3		      ,3
	.equ	PBIn_2		      ,2
	.equ	PBIn_1		      ,1
	.equ	PBIn_0		      ,0
; RegOutPB  : Adr.31
	.equ	OutPB_7		      ,7
	.equ	OutPB_6		      ,6
	.equ	OutPB_5		      ,5
	.equ	OutPB_4		      ,4
	.equ	OutPB_3		      ,3
	.equ	OutPB_2		      ,2
	.equ	OutPB_1		      ,1
	.equ	OutPB_0		      ,0
; RegCfgPB  : Adr.32
	.equ	EnDualRAM	      ,7
	.equ	EnSPI		        ,6
	.equ	EnSig1		      ,5
	.equ	EnSig2		      ,4
	.equ	EnSig3		      ,3
	.equ	EnSig4		      ,2
; RegSigSel  : Adr.33
	.equ	Sig1Sel_1	      ,7
	.equ	Sig1Sel_0	      ,6
	.equ	Sig2Sel_1	      ,5
	.equ	Sig2Sel_0	      ,4
	.equ	Sig3Sel_1	      ,3
	.equ	Sig3Sel_0	      ,2
	.equ	Sig4Sel_1	      ,1
	.equ	Sig4Sel_0	      ,0
; RegIOSelPB  : Adr.34
	.equ	IOSelPB_7		    ,7
	.equ	IOSelPB_6		    ,6
	.equ	IOSelPB_5		    ,5
	.equ	IOSelPB_4		    ,4
	.equ	IOSelPB_3		    ,3
	.equ	IOSelPB_2		    ,2
	.equ	IOSelPB_1		    ,1
	.equ	IOSelPB_0		    ,0
; RegOpenDrainPB  : Adr.35
  .equ  OpenDrainPB_7   ,7
  .equ  OpenDrainPB_6   ,6
  .equ  OpenDrainPB_5   ,5
  .equ  OpenDrainPB_4   ,4
  .equ  OpenDrainPB_3   ,3
  .equ  OpenDrainPB_2   ,2
  .equ  OpenDrainPB_1   ,1
  .equ  OpenDrainPB_0   ,0
; RegPullUpPB  : Adr.36
  .equ  PullUpPB_7      ,7
  .equ  PullUpPB_6      ,6
  .equ  PullUpPB_5      ,5
  .equ  PullUpPB_4      ,4
  .equ  PullUpPB_3      ,3
  .equ  PullUpPB_2      ,2
  .equ  PullUpPB_1      ,1
  .equ  PullUpPB_0      ,0
; RegPullDownPB  : Adr.37
  .equ  PullDownPB_7    ,7
  .equ  PullDownPB_6    ,6
  .equ  PullDownPB_5    ,5
  .equ  PullDownPB_4    ,4
  .equ  PullDownPB_3    ,3
  .equ  PullDownPB_2    ,2
  .equ  PullDownPB_1    ,1
  .equ  PullDownPB_0    ,0
; RegSPICfg  : Adr.38
	.equ	Start		        ,7
	.equ	MS2		          ,6
	.equ	MS1		          ,5
	.equ	MS0		          ,4
	.equ	PosnNegShft	    ,3
	.equ	MSBnLSB		      ,2
	.equ	Synchro		      ,1
	.equ	Load_nShift	    ,0
; RegSPIDat  : Adr.39
	.equ	SPIDat_7	      ,7
	.equ	SPIDat_6	      ,6
	.equ	SPIDat_5	      ,5
	.equ	SPIDat_4	      ,4
	.equ	SPIDat_3	      ,3
	.equ	SPIDat_2	      ,2
	.equ	SPIDat_1	      ,1
	.equ	SPIDat_0	      ,0
; RegSPILoad  : Adr.3A
	.equ	SPILoad_7	      ,7
	.equ	SPILoad_6	      ,6
	.equ	SPILoad_5	      ,5
	.equ	SPILoad_4	      ,4
	.equ	SPILoad_3	      ,3
	.equ	SPILoad_2	      ,2
	.equ	SPILoad_1	      ,1
	.equ	SPILoad_0	      ,0
; RegWDSys  : Adr.3B
	.equ	WDClear		      ,7
	.equ	EnWD		        ,6
	.equ	WDVal1		      ,5
	.equ	WDVal0		      ,4
	.equ	WDClkSel	      ,3
	.equ	WDKeyLock_2	    ,2
	.equ	WDKeyLock_1	    ,1
	.equ	WDKeyLock_0	    ,0
; RegWDKey  : Adr.3C
	.equ	WDKey_7		      ,7
	.equ	WDKey_6		      ,6
	.equ	WDKey_5		      ,5
	.equ	WDKey_4		      ,4
	.equ	WDKey_3		      ,3
	.equ	WDKey_2		      ,2
	.equ	WDKey_1		      ,1
	.equ	WDKey_0		      ,0
; RegTimersCfg  : Adr.4E
	.equ	EnTim12		      ,7
	.equ	EnTim34		      ,6
	.equ	AR1		          ,5
	.equ	AR2		          ,4
	.equ	AR3		          ,3
	.equ	AR4		          ,2
; RegTimersStart  : Adr.4F
	.equ	SWStart1	      ,7
	.equ	Tim1Pulse	      ,6
	.equ	SWStart2	      ,5
	.equ	Tim2Pulse	      ,4
	.equ	SWStart3	      ,3
	.equ	Tim3Pulse	      ,2
	.equ	SWStart4	      ,1
	.equ	Tim4Pulse	      ,0
; RegTim1Cfg  : Adr.50
	.equ	EnPWM1		      ,7
	.equ	Tim1Eq		      ,6
	.equ	Start1Sel_2	    ,5
	.equ	Start1Sel_1	    ,4
	.equ	Start1Sel_0	    ,3
	.equ	Clk1Sel_2	      ,2
	.equ	Clk1Sel_1	      ,1
	.equ	Clk1Sel_0	      ,0
; RegTim1Status  : Adr.51
	.equ	Tim1Status_7	  ,7
	.equ	Tim1Status_6	  ,6
	.equ	Tim1Status_5	  ,5
	.equ	Tim1Status_4	  ,4
	.equ	Tim1Status_3	  ,3
	.equ	Tim1Status_2	  ,2
	.equ	Tim1Status_1	  ,1
	.equ	Tim1Status_0	  ,0
; RegTim1Load  : Adr.52
	.equ	Tim1Load_7	    ,7
	.equ	Tim1Load_6	    ,6
	.equ	Tim1Load_5	    ,5
	.equ	Tim1Load_4	    ,4
	.equ	Tim1Load_3	    ,3
	.equ	Tim1Load_2	    ,2
	.equ	Tim1Load_1	    ,1
	.equ	Tim1Load_0	    ,0
; RegTim1Comp  : Adr.53
	.equ	Tim1Comp_7	    ,7
	.equ	Tim1Comp_6	    ,6
	.equ	Tim1Comp_5	    ,5
	.equ	Tim1Comp_4	    ,4
	.equ	Tim1Comp_3	    ,3
	.equ	Tim1Comp_2	    ,2
	.equ	Tim1Comp_1	    ,1
	.equ	Tim1Comp_0	    ,0
; RegTim2Cfg  : Adr.54
	.equ	EnPWM2		      ,7
	.equ	Tim2Eq		      ,6
	.equ	Start2Sel_2	    ,5
	.equ	Start2Sel_1	    ,4
	.equ	Start2Sel_0	    ,3
	.equ	Clk2Sel_2	      ,2
	.equ	Clk2Sel_1	      ,1
	.equ	Clk2Sel_0	      ,0
; RegTim2Status  : Adr.55
	.equ	Tim2Status_7	  ,7
	.equ	Tim2Status_6	  ,6
	.equ	Tim2Status_5	  ,5
	.equ	Tim2Status_4	  ,4
	.equ	Tim2Status_3	  ,3
	.equ	Tim2Status_2	  ,2
	.equ	Tim2Status_1	  ,1
	.equ	Tim2Status_0	  ,0
; RegTim2Load  : Adr.56
	.equ	Tim2Load_7	    ,7
	.equ	Tim2Load_6	    ,6
	.equ	Tim2Load_5	    ,5
	.equ	Tim2Load_4	    ,4
	.equ	Tim2Load_3	    ,3
	.equ	Tim2Load_2	    ,2
	.equ	Tim2Load_1	    ,1
	.equ	Tim2Load_0	    ,0
; RegTim2Comp  : Adr.57
	.equ	Tim2Comp_7	    ,7
	.equ	Tim2Comp_6	    ,6
	.equ	Tim2Comp_5	    ,5
	.equ	Tim2Comp_4	    ,4
	.equ	Tim2Comp_3	    ,3
	.equ	Tim2Comp_2	    ,2
	.equ	Tim2Comp_1	    ,1
	.equ	Tim2Comp_0	    ,0
; RegTim3Cfg  : Adr.58
	.equ	EnPWM3		      ,7
	.equ	Tim3Eq		      ,6
	.equ	Start3Sel_2	    ,5
	.equ	Start3Sel_1	    ,4
	.equ	Start3Sel_0	    ,3
	.equ	Clk3Sel_2	      ,2
	.equ	Clk3Sel_1	      ,1
	.equ	Clk3Sel_0	      ,0
; RegTim3Status  : Adr.59
	.equ	Tim3Status_7	  ,7
	.equ	Tim3Status_6	  ,6
	.equ	Tim3Status_5	  ,5
	.equ	Tim3Status_4	  ,4
	.equ	Tim3Status_3	  ,3
	.equ	Tim3Status_2	  ,2
	.equ	Tim3Status_1	  ,1
	.equ	Tim3Status_0	  ,0
; RegTim3Load  : Adr.5A
	.equ	Tim3Load_7	    ,7
	.equ	Tim3Load_6	    ,6
	.equ	Tim3Load_5	    ,5
	.equ	Tim3Load_4	    ,4
	.equ	Tim3Load_3	    ,3
	.equ	Tim3Load_2	    ,2
	.equ	Tim3Load_1	    ,1
	.equ	Tim3Load_0	    ,0
; RegTim3Comp  : Adr.5B
	.equ	Tim3Comp_7	    ,7
	.equ	Tim3Comp_6	    ,6
	.equ	Tim3Comp_5	    ,5
	.equ	Tim3Comp_4	    ,4
	.equ	Tim3Comp_3	    ,3
	.equ	Tim3Comp_2	    ,2
	.equ	Tim3Comp_1	    ,1
	.equ	Tim3Comp_0	    ,0
; RegTim4Cfg  : Adr.5C
	.equ	EnPWM4		      ,7
	.equ	Tim4Eq		      ,6
	.equ	Start4Sel_2	    ,5
	.equ	Start4Sel_1	    ,4
	.equ	Start4Sel_0	    ,3
	.equ	Clk4Sel_2	      ,2
	.equ	Clk4Sel_1	      ,1
	.equ	Clk4Sel_0	      ,0
; RegTim4Status  : Adr.5D
	.equ	Tim4Status_7	  ,7
	.equ	Tim4Status_6	  ,6
	.equ	Tim4Status_5	  ,5
	.equ	Tim4Status_4	  ,4
	.equ	Tim4Status_3	  ,3
	.equ	Tim4Status_2	  ,2
	.equ	Tim4Status_1	  ,1
	.equ	Tim4Status_0	  ,0
; RegTim4Load  : Adr.5E
	.equ	Tim4Load_7  	  ,7
	.equ	Tim4Load_6  	  ,6
	.equ	Tim4Load_5  	  ,5
	.equ	Tim4Load_4  	  ,4
	.equ	Tim4Load_3	    ,3
	.equ	Tim4Load_2  	  ,2
	.equ	Tim4Load_1	    ,1
	.equ	Tim4Load_0	    ,0
; RegTim4Comp  : Adr.5F
	.equ	Tim4Comp_7	    ,7
	.equ	Tim4Comp_6	    ,6
	.equ	Tim4Comp_5	    ,5
	.equ	Tim4Comp_4	    ,4
	.equ	Tim4Comp_3	    ,3
	.equ	Tim4Comp_2	    ,2
	.equ	Tim4Comp_1	    ,1
	.equ	Tim4Comp_0	    ,0
  

;******************************************
; Support for old names
;******************************************
; RegSys1  : Adr. 0x10
  .equ  Sleep           ,7
  .equ  DisResetPad     ,6
  .equ  DisOPTResInp    ,5
  .equ  FlagXtal        ,4
  .equ  OPTCldStart_1   ,3
  .equ  OPTCldStart_0   ,2
  .equ  FreqRange       ,1
  .equ  EnRC            ,0
; RegSys2  : Adr.11
  .equ  EnXtal          ,7
  .equ  SelExtClk1      ,6
  .equ  SelClk1Source   ,5
  .equ  SelExtClk2      ,4
  .equ  Sel32k          ,2
  .equ  RCDiv_1         ,1
  .equ  RCDiv_0         ,0
; RegResStat  : Adr.12
  .equ  ResetPadFlag   ,7
  .equ  ResetWDFlag    ,6
  .equ  ResetOPTInpFlag,5
  .equ  ResBwnOutFlag  ,4
  .equ  SleepEn        ,3
  .equ  EnResetPadDeb  ,2
  .equ  ResPadDebFast  ,1
  .equ  DatOscout      ,0
; RegTrimRC  : Adr.13
  .equ  Trim_7        ,7
  .equ  Trim_6        ,6
  .equ  Trim_5        ,5
  .equ  Trim_4        ,4
  .equ  Trim_3        ,3
  .equ  Trim_2        ,2
  .equ  Trim_1        ,1
  .equ  Trim_0        ,0
; RegPrCkSel  : Adr.14
  .equ  Prsc1CkSel_2  ,7
  .equ  Prsc1CkSel_1  ,6
  .equ  Prsc1CkSel_0  ,5
  .equ  AutoSel       ,4
  .equ  Prsc2CkSel    ,3
  .equ  Prsc1En       ,2
  .equ  Prsc2En       ,1
; RegPresc1Status  : Adr.15
  .equ  Prsc1Status_7 ,7
  .equ  Prsc1Status_6 ,6
  .equ  Prsc1Status_5 ,5
  .equ  Prsc1Status_4 ,4
  .equ  Prsc1Status_3 ,3
  .equ  Prsc1Status_2 ,2
  .equ  Prsc1Status_1 ,1
  .equ  Prsc1Status_0 ,0
; RegPresc2Status  : Adr.16
  .equ  Prsc2Status_7 ,7
  .equ  Prsc2Status_6 ,6
  .equ  Prsc2Status_5 ,5
  .equ  Prsc2Status_4 ,4
  .equ  Prsc2Status_3 ,3
  .equ  Prsc2Status_2 ,2
  .equ  Prsc2Status_1 ,1
  .equ  Prsc2Status_0 ,0
; RegInt20  : Adr.17
  .equ  Int2_7        ,7
  .equ  Int2_6        ,6
  .equ  Int2_5        ,5
  .equ  Int2_4        ,4
  .equ  Int2_3        ,3
  .equ  Int2_2        ,2
  .equ  Int2_1        ,1
  .equ  Int2_0        ,0
; RegInt10  : Adr.18
  .equ  Int1_7        ,7
  .equ  Int1_6        ,6
  .equ  Int1_5        ,5
  .equ  Int1_4        ,4
  .equ  Int1_3        ,3
  .equ  Int1_2        ,2
  .equ  Int1_1        ,1
  .equ  Int1_0        ,0
; RegInt00  : Adr.19
  .equ  Int0_7        ,7
  .equ  Int0_6        ,6
  .equ  Int0_5        ,5
  .equ  Int0_4        ,4
  .equ  Int0_3        ,3
  .equ  Int0_2        ,2
  .equ  Int0_1        ,1
  .equ  Int0_0        ,0
; RegMsk20  : Adr.1A
  .equ  Msk2_7        ,7
  .equ  Msk2_6        ,6
  .equ  Msk2_5        ,5
  .equ  Msk2_4        ,4
  .equ  Msk2_3        ,3
  .equ  Msk2_2        ,2
  .equ  Msk2_1        ,1
  .equ  Msk2_0        ,0
; RegMsk10  : Adr.1B
  .equ  Msk1_7        ,7
  .equ  Msk1_6        ,6
  .equ  Msk1_5        ,5
  .equ  Msk1_4        ,4
  .equ  Msk1_3        ,3
  .equ  Msk1_2        ,2
  .equ  Msk1_1        ,1
  .equ  Msk1_0        ,0
; RegMsk00  : Adr.1C
  .equ  Msk0_7        ,7
  .equ  Msk0_6        ,6
  .equ  Msk0_5        ,5
  .equ  Msk0_4        ,4
  .equ  Msk0_3        ,3
  .equ  Msk0_2        ,2
  .equ  Msk0_1        ,1
  .equ  Msk0_0        ,0
; RegGB  : Adr.1D
  .equ  Trdmon_gb_4   ,4
  .equ  Trdmon_gb_3   ,3
  .equ  Trdmon_gb_2   ,2
  .equ  Trdmon_gb_1   ,1
  .equ  Trdmon_gb_0   ,0
; RegAnaCfg  : Adr.20
  .equ  En_SVLD       ,7
  .equ  En_BrownOut   ,6
  .equ  SelLevel1     ,5
  .equ  SelLevel2     ,4
  .equ  SelLevel3     ,3
  .equ  SVLDStatus    ,0
; RegInPA  : Adr.21
  .equ  PAIn_7        ,7
  .equ  PAIn_6        ,6
  .equ  PAIn_5        ,5
  .equ  PAIn_4        ,4
  .equ  PAIn_3        ,3
  .equ  PAIn_2        ,2
  .equ  PAIn_1        ,1
  .equ  PAIn_0        ,0
; RegOutPA  : Adr.22
  .equ  PAOut_7       ,7
  .equ  PAOut_6       ,6
  .equ  PAOut_5       ,5
  .equ  PAOut_4       ,4
  .equ  PAOut_3       ,3
  .equ  PAOut_2       ,2
  .equ  PAOut_1       ,1
  .equ  PAOut_0       ,0
; RegCfgPA  : Adr.23
  .equ  Excl_nComb    ,7
  .equ  Wk_nRes       ,6
  .equ  SplitCmb      ,5
  .equ  EnDebResPA    ,4
  .equ  CkDebResPA    ,3
  .equ  EnDebWkPA     ,2
  .equ  CkDebWkPA     ,1
  .equ  RCLoop        ,0
; RegIOSelPA  : Adr.24
  .equ  OutEn_7       ,7
  .equ  OutEn_6       ,6
  .equ  OutEn_5       ,5
  .equ  OutEn_4       ,4
  .equ  OutEn_3       ,3
  .equ  OutEn_2       ,2
  .equ  OutEn_1       ,1
  .equ  OutEn_0       ,0
; RegCmbPA  : Adr.25
  .equ  CmbPA_7       ,7
  .equ  CmbPA_6       ,6
  .equ  CmbPA_5       ,5
  .equ  CmbPA_4       ,4
  .equ  CmbPA_3       ,3
  .equ  CmbPA_2       ,2
  .equ  CmbPA_1       ,1
  .equ  CmbPA_0       ,0
; RegMskPA  : Adr.26
  .equ  MskPA_7       ,7
  .equ  MskPA_6       ,6
  .equ  MskPA_5       ,5
  .equ  MskPA_4       ,4
  .equ  MskPA_3       ,3
  .equ  MskPA_2       ,2
  .equ  MskPA_1       ,1
  .equ  MskPA_0       ,0
; RegIntEdgPA  : Adr.27
  .equ  IntEdg_7      ,7
  .equ  IntEdg_6      ,6
  .equ  IntEdg_5      ,5
  .equ  IntEdg_4      ,4
  .equ  IntEdg_3      ,3
  .equ  IntEdg_2      ,2
  .equ  IntEdg_1      ,1
  .equ  IntEdg_0      ,0
; RegEnDebPA  : Adr.28
  .equ  EnDeb_7       ,7
  .equ  EnDeb_6       ,6
  .equ  EnDeb_5       ,5
  .equ  EnDeb_4       ,4
  .equ  EnDeb_3       ,3
  .equ  EnDeb_2       ,2
  .equ  EnDeb_1       ,1
  .equ  EnDeb_0       ,0
; RegOpenDrainPA  : Adr.29
  .equ  OD_7          ,7
  .equ  OD_6          ,6
  .equ  OD_5          ,5
  .equ  OD_4          ,4
  .equ  OD_3          ,3
  .equ  OD_2          ,2
  .equ  OD_1          ,1
  .equ  OD_0          ,0
; RegPullUpPA  : Adr.2A
  .equ  PullUp_7      ,7
  .equ  PullUp_6      ,6
  .equ  PullUp_5      ,5
  .equ  PullUp_4      ,4
  .equ  PullUp_3      ,3
  .equ  PullUp_2      ,2
  .equ  PullUp_1      ,1
  .equ  PullUp_0      ,0
; RegPullDownPA  : Adr.2B
  .equ  PullDown_7    ,7
  .equ  PullDown_6    ,6
  .equ  PullDown_5    ,5
  .equ  PullDown_4    ,4
  .equ  PullDown_3    ,3
  .equ  PullDown_2    ,2
  .equ  PullDown_1    ,1
  .equ  PullDown_0    ,0
; RegInPB  : Adr.30
  .equ  PBIn_7        ,7
  .equ  PBIn_6        ,6
  .equ  PBIn_5        ,5
  .equ  PBIn_4        ,4
  .equ  PBIn_3        ,3
  .equ  PBIn_2        ,2
  .equ  PBIn_1        ,1
  .equ  PBIn_0        ,0
; RegOutPB  : Adr.31
  .equ  PBOut_7       ,7
  .equ  PBOut_6       ,6
  .equ  PBOut_5       ,5
  .equ  PBOut_4       ,4
  .equ  PBOut_3       ,3
  .equ  PBOut_2       ,2
  .equ  PBOut_1       ,1
  .equ  PBOut_0       ,0
; RegCfgPB  : Adr.32
  .equ  EnDualRAM     ,7
  .equ  EnSPI         ,6
  .equ  EnInt1        ,5
  .equ  EnInt2        ,4
  .equ  EnInt3        ,3
  .equ  EnInt4        ,2
; RegIntSel  : Adr.33
  .equ  Int1Sel_1     ,7
  .equ  Int1Sel_0     ,6
  .equ  Int2Sel_1     ,5
  .equ  Int2Sel_0     ,4
  .equ  Int3Sel_1     ,3
  .equ  Int3Sel_0     ,2
  .equ  Int4Sel_1     ,1
  .equ  Int4Sel_0     ,0
; RegIOSelPB  : Adr.34
  .equ  OutEn_7       ,7
  .equ  OutEn_6       ,6
  .equ  OutEn_5       ,5
  .equ  OutEn_4       ,4
  .equ  OutEn_3       ,3
  .equ  OutEn_2       ,2
  .equ  OutEn_1       ,1
  .equ  OutEn_0       ,0
; RegOpenDrainPB  : Adr.35
  .equ  OD_7          ,7
  .equ  OD_6          ,6
  .equ  OD_5          ,5
  .equ  OD_4          ,4
  .equ  OD_3          ,3
  .equ  OD_2          ,2
  .equ  OD_1          ,1
  .equ  OD_0          ,0
; RegPullUpPB  : Adr.36
  .equ  PullUp_7      ,7
  .equ  PullUp_6      ,6
  .equ  PullUp_5      ,5
  .equ  PullUp_4      ,4
  .equ  PullUp_3      ,3
  .equ  PullUp_2      ,2
  .equ  PullUp_1      ,1
  .equ  PullUp_0      ,0
; RegPullDownPB  : Adr.37
  .equ  PullDown_7    ,7
  .equ  PullDown_6    ,6
  .equ  PullDown_5    ,5
  .equ  PullDown_4    ,4
  .equ  PullDown_3    ,3
  .equ  PullDown_2    ,2
  .equ  PullDown_1    ,1
  .equ  PullDown_0    ,0
; RegSPICfg  : Adr.38
  .equ  Start         ,7
  .equ  MS2           ,6
  .equ  MS1           ,5
  .equ  MS0           ,4
  .equ  PosnNegShft   ,3
  .equ  MSBnLSB       ,2
  .equ  Synchro       ,1
  .equ  Load_nShift   ,0
; RegSPIDat  : Adr.39
  .equ  SPIDat_7      ,7
  .equ  SPIDat_6      ,6
  .equ  SPIDat_5      ,5
  .equ  SPIDat_4      ,4
  .equ  SPIDat_3      ,3
  .equ  SPIDat_2      ,2
  .equ  SPIDat_1      ,1
  .equ  SPIDat_0      ,0
; RegSPILoad  : Adr.3A
  .equ  SPILoad_7     ,7
  .equ  SPILoad_6     ,6
  .equ  SPILoad_5     ,5
  .equ  SPILoad_4     ,4
  .equ  SPILoad_3     ,3
  .equ  SPILoad_2     ,2
  .equ  SPILoad_1     ,1
  .equ  SPILoad_0     ,0
; RegWDSys  : Adr.3B
  .equ  WDClear       ,7
  .equ  EnWD          ,6
  .equ  WDVal1        ,5
  .equ  WDVal0        ,4
  .equ  WDClkSel      ,3
  .equ  WDKeyLock_2   ,2
  .equ  WDKeyLock_1   ,1
  .equ  WDKeyLock_0   ,0
; RegWDKey  : Adr.3C
  .equ  WDKey_7       ,7
  .equ  WDKey_6       ,6
  .equ  WDKey_5       ,5
  .equ  WDKey_4       ,4
  .equ  WDKey_3       ,3
  .equ  WDKey_2       ,2
  .equ  WDKey_1       ,1
  .equ  WDKey_0       ,0
; RegTimersCfg  : Adr.4E
  .equ  EnTim12       ,7
  .equ  EnTim34       ,6
  .equ  AR1           ,5
  .equ  AR2           ,4
  .equ  AR3           ,3
  .equ  AR4           ,2
; RegTimersStart  : Adr.4F
  .equ  SWStart1      ,7
  .equ  Tim1Pulse     ,6
  .equ  SWStart2      ,5
  .equ  Tim2Pulse     ,4
  .equ  SWStart3      ,3
  .equ  Tim3Pulse     ,2
  .equ  SWStart4      ,1
  .equ  Tim4Pulse     ,0
; RegTim1Cfg  : Adr.50
  .equ  EnPWM1        ,7
  .equ  TimEq1        ,6
  .equ  Start1Sel_2   ,5
  .equ  Start1Sel_1   ,4
  .equ  Start1Sel_0   ,3
  .equ  Clk1Sel_2     ,2
  .equ  Clk1Sel_1     ,1
  .equ  Clk1Sel_0     ,0
; RegTim1Status  : Adr.51
  .equ  Tim1Status_7  ,7
  .equ  Tim1Status_6  ,6
  .equ  Tim1Status_5  ,5
  .equ  Tim1Status_4  ,4
  .equ  Tim1Status_3  ,3
  .equ  Tim1Status_2  ,2
  .equ  Tim1Status_1  ,1
  .equ  Tim1Status_0  ,0
; RegTim1Load  : Adr.52
  .equ  Tim1Load_7    ,7
  .equ  Tim1Load_6    ,6
  .equ  Tim1Load_5    ,5
  .equ  Tim1Load_4    ,4
  .equ  Tim1Load_3    ,3
  .equ  Tim1Load_2    ,2
  .equ  Tim1Load_1    ,1
  .equ  Tim1Load_0    ,0
; RegTim1Comp  : Adr.53
  .equ  Tim1Comp_7    ,7
  .equ  Tim1Comp_6    ,6
  .equ  Tim1Comp_5    ,5
  .equ  Tim1Comp_4    ,4
  .equ  Tim1Comp_3    ,3
  .equ  Tim1Comp_2    ,2
  .equ  Tim1Comp_1    ,1
  .equ  Tim1Comp_0    ,0
; RegTim2Cfg  : Adr.54
  .equ  EnPWM2        ,7
  .equ  TimEq2        ,6
  .equ  Start2Sel_2   ,5
  .equ  Start2Sel_1   ,4
  .equ  Start2Sel_0   ,3
  .equ  Clk2Sel_2     ,2
  .equ  Clk2Sel_1     ,1
  .equ  Clk2Sel_0     ,0
; RegTim2Status  : Adr.55
  .equ  Tim2Status_7  ,7
  .equ  Tim2Status_6  ,6
  .equ  Tim2Status_5  ,5
  .equ  Tim2Status_4  ,4
  .equ  Tim2Status_3  ,3
  .equ  Tim2Status_2  ,2
  .equ  Tim2Status_1  ,1
  .equ  Tim2Status_0  ,0
; RegTim2Load  : Adr.56
  .equ  Tim2Load_7    ,7
  .equ  Tim2Load_6    ,6
  .equ  Tim2Load_5    ,5
  .equ  Tim2Load_4    ,4
  .equ  Tim2Load_3    ,3
  .equ  Tim2Load_2    ,2
  .equ  Tim2Load_1    ,1
  .equ  Tim2Load_0    ,0
; RegTim2Comp  : Adr.57
  .equ  Tim2Comp_7    ,7
  .equ  Tim2Comp_6    ,6
  .equ  Tim2Comp_5    ,5
  .equ  Tim2Comp_4    ,4
  .equ  Tim2Comp_3    ,3
  .equ  Tim2Comp_2    ,2
  .equ  Tim2Comp_1    ,1
  .equ  Tim2Comp_0    ,0
; RegTim3Cfg  : Adr.58
  .equ  EnPWM3        ,7
  .equ  TimEq3        ,6
  .equ  Start3Sel_2   ,5
  .equ  Start3Sel_1   ,4
  .equ  Start3Sel_0   ,3
  .equ  Clk3Sel_2     ,2
  .equ  Clk3Sel_1     ,1
  .equ  Clk3Sel_0     ,0
; RegTim3Status  : Adr.59
  .equ  Tim3Status_7  ,7
  .equ  Tim3Status_6  ,6
  .equ  Tim3Status_5  ,5
  .equ  Tim3Status_4  ,4
  .equ  Tim3Status_3  ,3
  .equ  Tim3Status_2  ,2
  .equ  Tim3Status_1  ,1
  .equ  Tim3Status_0  ,0
; RegTim3Load  : Adr.5A
  .equ  Tim3Load_7    ,7
  .equ  Tim3Load_6    ,6
  .equ  Tim3Load_5    ,5
  .equ  Tim3Load_4    ,4
  .equ  Tim3Load_3    ,3
  .equ  Tim3Load_2    ,2
  .equ  Tim3Load_1    ,1
  .equ  Tim3Load_0    ,0
; RegTim3Comp  : Adr.5B
  .equ  Tim3Comp_7    ,7
  .equ  Tim3Comp_6    ,6
  .equ  Tim3Comp_5    ,5
  .equ  Tim3Comp_4    ,4
  .equ  Tim3Comp_3    ,3
  .equ  Tim3Comp_2    ,2
  .equ  Tim3Comp_1    ,1
  .equ  Tim3Comp_0    ,0
; RegTim4Cfg  : Adr.5C
  .equ  EnPWM4        ,7
  .equ  TimEq4        ,6
  .equ  Start4Sel_2   ,5
  .equ  Start4Sel_1   ,4
  .equ  Start4Sel_0   ,3
  .equ  Clk4Sel_2     ,2
  .equ  Clk4Sel_1     ,1
  .equ  Clk4Sel_0     ,0
; RegTim4Status  : Adr.5D
  .equ  Tim4Status_7  ,7
  .equ  Tim4Status_6  ,6
  .equ  Tim4Status_5  ,5
  .equ  Tim4Status_4  ,4
  .equ  Tim4Status_3  ,3
  .equ  Tim4Status_2  ,2
  .equ  Tim4Status_1  ,1
  .equ  Tim4Status_0  ,0
; RegTim4Load  : Adr.5E
  .equ  Tim4Load_7    ,7
  .equ  Tim4Load_6    ,6
  .equ  Tim4Load_5    ,5
  .equ  Tim4Load_4    ,4
  .equ  Tim4Load_3    ,3
  .equ  Tim4Load_2    ,2
  .equ  Tim4Load_1    ,1
  .equ  Tim4Load_0    ,0
; RegTim4Comp  : Adr.5F
  .equ  Tim4Comp_7    ,7
  .equ  Tim4Comp_6    ,6
  .equ  Tim4Comp_5    ,5
  .equ  Tim4Comp_4    ,4
  .equ  Tim4Comp_3    ,3
  .equ  Tim4Comp_2    ,2
  .equ  Tim4Comp_1    ,1
  .equ  Tim4Comp_0    ,0
  



